Bug 7460 - sys/file.h included unconditionally in ...lib/replace/system/filesys.h
sys/file.h included unconditionally in ...lib/replace/system/filesys.h
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Build environment
3.5.7
All Other
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 10:04 UTC by Joachim Schmitz
Modified: 2011-06-17 19:03 UTC (History)
0 users

See Also:


Attachments
backport for 3.5 (1.21 KB, patch)
2010-05-30 14:54 UTC, Björn Jacke
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joachim Schmitz 2010-05-27 10:04:04 UTC
...lib/replace/system/filesys.h #include's <sys/file.h> unconditionally. It should only do so if HAVE_SYS_FILE is #define'd. Patch:

diff -u ./lib/replace/system/filesys.h.orig ./lib/replace/system/filesys.h
--- ./lib/replace/system/filesys.h.orig 2010-05-17 06:51:23.000000000 -0500
+++ ./lib/replace/system/filesys.h      2010-05-27 07:07:01.000000000 -0500
@@ -77,7 +77,9 @@
 #include <sys/filio.h>
 #endif

+#ifdef HAVE_SYS_FILE_H
 #include <sys/file.h>
+#endif

 #ifdef HAVE_FCNTL_H
 #include <fcntl.h>


Bye, Jojo
Comment 1 Björn Jacke 2010-05-30 14:48:40 UTC
thanks! fixed in master with 6a78241f4a9aae84e91ea2e49f066f2e5203beba
Comment 2 Björn Jacke 2010-05-30 14:54:44 UTC
Created attachment 5749 [details]
backport for 3.5

Metze, please review for inclusion in 3.5
Comment 3 Joachim Schmitz 2011-03-01 06:22:08 UTC
still an issue in 3.5.7
Comment 4 Guenther Deschner 2011-06-17 11:42:38 UTC
Comment on attachment 5749 [details]
backport for 3.5

looks good
Comment 5 Karolin Seeger 2011-06-17 19:03:08 UTC
Pushed to v3-5-test, will be included in 3.5.10.
Closing out bug report.

Thanks!